regina::NPillowTwoSphere Class Reference
Standard Triangulations and Subcomplexes

Represents a 2-sphere made from two triangles glued together along their three edges. More...

`#include <subcomplex/npillowtwosphere.h>`

Inheritance diagram for regina::NPillowTwoSphere:

## Public Member Functions

NPillowTwoSphere * | clone () const
| Returns a newly created clone of this structure. More...
NTriangle * | getTriangle (int index) const
| Returns one of the two triangles whose boundaries are joined. More...
NTriangle * | getFace (int index) const
| A deprecated alias for getTriangle(). More...
NPerm4 | getTriangleMapping () const
| Returns a permutation describing how the boundaries of the two triangles are joined. More...
NPerm4 | getFaceMapping () const
| A deprecated alias for getTriangleMapping(). More...
void | writeTextShort (std::ostream &out) const
| Writes this object in short text format to the given output stream. More...
Public Member Functions inherited from regina::ShareableObject
| ShareableObject ()
| Default constructor that does nothing. More...
virtual | ~ShareableObject ()
| Default destructor that does nothing. More...
virtual void | writeTextLong (std::ostream &out) const
| Writes this object in long text format to the given output stream. More...
std::string | str () const
| Returns the output from writeTextShort() as a string. More...
std::string | toString () const
| A deprecated alias for str(), which returns the output from writeTextShort() as a string. More...
std::string | detail () const
| Returns the output from writeTextLong() as a string. More...
std::string | toStringLong () const
| A deprecated alias for detail(), which returns the output from writeTextLong() as a string. More...

## Static Public Member Functions

static NPillowTwoSphere * | formsPillowTwoSphere (NTriangle *tri1, NTriangle *tri2)
| Determines if the two given triangles together form a pillow 2-sphere. More...

## Additional Inherited Members

Protected Member Functions inherited from regina::boost::noncopyable
| noncopyable ()
| A constructor which does nothing. More...
| ~noncopyable ()
| A destructor which does nothing. More...

## Detailed Description

Represents a 2-sphere made from two triangles glued together along their three edges.

The two triangles must be distinct and the three edges of each triangle must also be distinct. Neither of the triangles may be boundary triangles. These two triangless together form an embedded 2-sphere in the triangulation (with the exception that two or three points of the sphere corresponding to the triangles vertices may be identified).

This 2-sphere can be cut along and the two resulting 2-sphere boundaries filled in with 3-balls, and the resulting triangulation has the same number of tetrahedra as the original. If the original 2-sphere was separating, the resulting triangulation will contain the two terms of the corresponding connected sum.

## Member Function Documentation

NPillowTwoSphere* regina::NPillowTwoSphere::clone | ( |  | ) | const

Returns a newly created clone of this structure.

Returns
  a newly created clone.

static NPillowTwoSphere* regina::NPillowTwoSphere::formsPillowTwoSphere | ( | NTriangle * | tri1,
|  | NTriangle * | tri2
| ) |  |

static

Determines if the two given triangles together form a pillow 2-sphere.

Precondition
  The two given triangles are distinct.

Parameters

  tri1 | the first triangle to examine.
  tri2 | the second triangle to examine.

Returns
  a newly created structure containing details of the pillow 2-sphere, or `null` if the given triangles do not form a pillow 2-sphere.

NTriangle * regina::NPillowTwoSphere::getFace | ( | int | index | ) | const

inline

A deprecated alias for getTriangle().

This routine returns one of the two triangles whose boundaries are joined. See getTriangle() for further details.

Deprecated:
  This routine will be removed in a future version of Regina. Please use getTriangle() instead.

Parameters

  index | specifies which of the two triangles to return; this must be either 0 or 1.

Returns
  the corresponding triangle.

NPerm4 regina::NPillowTwoSphere::getFaceMapping | ( |  | ) | const

inline

A deprecated alias for getTriangleMapping().

This routine returns a permutation describing how the boundaries of the two triangles are joined. See getTriangleMapping() for further details.

Deprecated:
  This routine will be removed in a future version of Regina. Please use getTriangleMapping() instead.

Returns
  a permutation describing how the triangle boundaries are joined.

NTriangle * regina::NPillowTwoSphere::getTriangle | ( | int | index | ) | const

inline

Returns one of the two triangles whose boundaries are joined.

Parameters

  index | specifies which of the two triangles to return; this must be either 0 or 1.

Returns
  the corresponding triangle.

NPerm4 regina::NPillowTwoSphere::getTriangleMapping | ( |  | ) | const

inline

Returns a permutation describing how the boundaries of the two triangles are joined.

The permutation will map vertices (0,1,2) of `getTriangle(0)` to vertices (0,1,2) of `getTriangle(1)`. The map will represent how the vertices of the triangles are identified by the three edge gluings.

Returns
  a permutation describing how the triangle boundaries are joined.

void regina::NPillowTwoSphere::writeTextShort | ( | std::ostream & | out | ) | const

inline virtual

Writes this object in short text format to the given output stream.

The output should be human-readable, should fit on a single line, and should not end with a newline.

Python:
  The parameter out does not exist; standard output will be used.

Parameters

  out | the output stream to which to write.

Implements regina::ShareableObject.

The documentation for this class was generated from the following file:

- subcomplex/npillowtwosphere.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).